GooGooStatementCache.DeathmarchConnectionStatementManager (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.stmt

## Class GooGooStatementCache.DeathmarchConnectionStatementManager

- java.lang.Object
- - com.mchange.v2.c3p0.stmt.GooGooStatementCache.ConnectionStatementManager
  - - com.mchange.v2.c3p0.stmt.GooGooStatementCache.DeathmarchConnectionStatementManager

- Enclosing class:
    GooGooStatementCache

      protected final class GooGooStatementCache.DeathmarchConnectionStatementManager
      extends GooGooStatementCache.ConnectionStatementManager

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DeathmarchConnectionStatementManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`
    `GooGooStatementCache.Deathmarch` | `getDeathmarch(java.sql.Connection pcon)`
    `boolean` | `removeStatementForConnection(java.lang.Object ps, java.sql.Connection pcon)`

    - ### Methods inherited from class com.mchange.v2.c3p0.stmt.GooGooStatementCache.ConnectionStatementManager

      `connectionSet, getNumConnectionsWithCachedStatements, getNumStatementsForConnection, statementSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeathmarchConnectionStatementManager

          protected DeathmarchConnectionStatementManager()

  - ### Method Detail

    - #### addStatementForConnection

          public void addStatementForConnection(java.lang.Object ps,
                                                java.sql.Connection pcon)

      Overrides:
        `addStatementForConnection` in class `GooGooStatementCache.ConnectionStatementManager`

    - #### removeStatementForConnection

          public boolean removeStatementForConnection(java.lang.Object ps,
                                                      java.sql.Connection pcon)

      Overrides:
        `removeStatementForConnection` in class `GooGooStatementCache.ConnectionStatementManager`

    - #### getDeathmarch

          public GooGooStatementCache.Deathmarch getDeathmarch(java.sql.Connection pcon)